@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: poppins ;
}

.decorated_heading_1{
    text-transform: uppercase;
    font-size: 24px;
    text-align: left;
}
.decorated_heading_1::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
}
.decorated_heading_2{
    text-transform: uppercase;
    font-size: 24px;
    text-align: center;
}
.decorated_heading_2::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;

}
.subheading {
    text-transform: uppercase;
}

.paragraph{
    font-size: 14px;
    line-height: 30px;
    text-align: justify;
}
p,span{
    font-size: 14px;
    line-height: 30px;
}
a{
color: black;
text-decoration: none;
}


















.about_banner{
    position: relative;
    height: 40vh;
    background-image: url('uploads/pexels-the-glorious-studio-3584518-13583359.jpg'); /* Replace with your image */
    background-repeat: no-repeat;
    background-position:center center;
    background-size: cover;
    background-attachment: fixed;
    color: white;
    padding: 0 100px;
}

.about_banner::before{
    content: '';
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: black; 
    opacity:0.5 ;
    z-index: 1;  
}

.about_banner .coloumn_1{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about_banner .content{
    width: 100%;
    color: #fff;
    z-index: 2;  
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
}
.about_banner h1{
font-size: 32px;
}



















.about_section{
    margin-top:130px;
    display: flex;
    flex-direction: row-reverse;
}
.about_section .coloumn_1{
    width: 50%;
    display: flex;
    box-sizing: border-box;
}
.about_section .coloumn_1 .content{
    width: 100%; 
    height: 100%;
    background-image: url('uploads/pexels-polina-zimmerman-3778619.jpg');
    background-size: cover; 
    background-position: center; 
}

.about_section .coloumn_2{
    width: 50%;
    box-sizing: border-box;
    display: flex;
    padding:60px;
    background-color: #f8f8f8;
}
.about_section .coloumn_2 .content{
    width: 100%;  
    height: 400px;
}

.about_section .about_description{
 margin-top: 20px;
}
.about_highlights{
display: flex;
margin-top: 40px;
}
.about_highlights i{
font-size: 40px;
color:green ;
}
.about_highlights .left,.about_highlights .right{
    width: 50%;
    display: flex;
    gap: 20px;
    padding: 0px 30px;
}

.about_section .progress{
    margin-top: 20px;
    position: relative;
    width: 100%;
 }
 .about_section .lable{
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding-bottom: 20px;
 }
.about_section .bar_filled{
    content: '';
    position: absolute;
    background-color: green;
    height: 7px;
    bottom: 0;
    z-index: 2;
}
.about_section .bar{
    position: absolute;
    height: 2px;
    width: 100%;
    bottom: 0;
    z-index: 1;
    background-color: black;
 }



















 


 

@media only screen and (max-width: 768px) {
    /* all sections common responsiveness*/

    html, body {
        width: 100%;
        max-width: 100%;
        overflow-x: hidden; /* Prevents horizontal scrolling */
        margin: 0;
        padding: 0;
    }
    .first_section {
        margin-top: 100px ;
        }
    .section  {
    flex-wrap: wrap ;
    padding-left: 30px;
    padding-right: 30px;
    }
    .section .row{
        flex-wrap: wrap ;
    }
    .section .column  {
        width: 100% ;
    }
    .section .content  {
        gap: 30px ;
    }
    .section .flex_container{
        flex-wrap: wrap ;
    }
    .section .flex_item{
        width: 100% ;
        margin-top: 0;
        padding: 30px ;
    }
    .section .decorated_heading_1{
        text-align: center ;
    }
    .section .decorated_heading_1::after{
        margin-left: auto ;
        margin-right: auto ;
    }



/* section wise separate responsiveness*/

    .about_section {
        flex-direction: column-reverse;
        padding: 0;
    }
      .about_section .coloumn_2 {
        padding: 50px 0;
      }
      .about_section .coloumn_2 .content{
        padding: 0 20px;
    }
      .about_section .coloumn_1 .content{
        height: 400px;
    }
    .about_section .progress_container{
        padding: 0 30px;
    }



    .counter_section {
        padding: 0;
     }
    .counter_section .parallax {
        height: 60vh;
     }



     }


















     @media only screen and (min-width: 769px) and (max-width: 1024px) {

        /* all sections common responsiveness*/
    
        html, body {
            width: 100%;
            max-width: 100%;
            overflow-x: hidden; /* Prevents horizontal scrolling */
            margin: 0;
            padding: 0;
        }
        .first_section {
            margin-top: 100px ;
            }
        .section  {
        flex-wrap: wrap ;
        padding-left: 60px;
        padding-right: 60px;
        }
        .section .row{
            flex-wrap: wrap ;
        }
        .section .column  {
            width: 50% ;
        }
        .section .flex_container{
            flex-wrap: wrap ;
        }
        .section .flex_item{
            width: 50% ;
            margin-top: 0;
            padding: 30px ;
        }
    
        .section .decorated_heading_1{
            text-align: center ;
        }
        .section .decorated_heading_1::after{
            margin-left: auto ;
            margin-right: auto ;
        } 
        
        
    
    
    
    
    /* section wise separate responsiveness*/
        
            .our_services .column{
                width: 100%;
            }




            .features_section .column{
                width: 100%;
            }


    
    
        .about_section {
            padding: 0;
            flex-wrap: wrap;
            flex-direction: column-reverse;
        }
        .about_section .coloumn_1,.about_section .coloumn_2 {
            width: 100%;
          }
          .about_section .coloumn_2{
            padding: 50px 60px;
        }
          .about_section .coloumn_1 .content{
            height: 400px;
        }
        .about_section .about_highlights{
            flex-wrap: wrap;
            gap: 20px;
        }
        .about_section .about_highlights > *{
            width: 100%;
        }
        .about_section .progress_container{
            padding: 0 30px;
        }
    
    
     
        .counter_section {
     padding: 0;
        }
        
      .counter_section .column{
        width: 100%;
        }
    
    
        .faq_section .column{
            width: 100%;
            } 

            .faq_section .faq-item{
            width: 100%;
            }
    
    
    
    }